<div>
  <div class="titulo">
    <h1>Base consolidada</h1>
  </div>

  <div class="textocuerpo">
    <h3>Puedes consultar el reporte PEP en BigQuery con los siguientes datos:</h3>
    <h3>Proyecto: {{proyecto}}</h3>
    <h3>Dataset: {{Dataset}} </h3>
    <h3>En la vista: {{Envista}}</h3>
  </div>

  <div class="l-br">
    <div class="contenedorcentrado">
      <div class="example-form">
        <mat-form-field appearance="fill" style="width: 98%;">
          <mat-label id="textcaja" ><b>ID del participante</b></mat-label>
          <textarea style="height: 110px" required matInput placeholder="Ex. 18374759j1, A3bc56201f" minlength="5" (keypress)="omit_special_char($event)"
          #texarea="ngModel" pattern='^[A-Za-z0-9.,ñÑáéíóúÁÉÍÓÚ ]+$'  [(ngModel)]="selected"></textarea>
          <mat-hint  class="alert alert-danger"  *ngIf="!texarea.valid && texarea.touched" title="Agrega el cambio"
            style="color: red;">No dejes vacío este campo </mat-hint>
        </mat-form-field>
      </div>
    </div>
<br>
    <div class="contenedorcentrado">
      <button style="width: 20%;" type="submit" mat-raised-button color="accent" (click)="onclick(texarea)" >Ejecutar base consolidada</button>
    </div>
  </div>
